Subject: R: Serial console on board based on Lite5200b

From: Angelo <[email-masked]>
Date: Thu, 13 Nov 2008 22:12:41 +0000 (GMT)

Ok i solved my problems, but ...

The file /driver/serial/mpc52xx_uart.c in function mpc52xx_uart_of_enumerate(void) try to keep find the device number with:
...
/* Is a particular device number requested? */
devno = get_property(np, "port-number", NULL);
...

I set the device tree in order to use PSC4 in uart mode enabling:
serial@2600 {	// PSC4
	device_type = "serial";
	compatible = "mpc5200b-psc-uart\0mpc5200-psc-uart";
	port-number = <3>; // Logical port assignment			
	cell-index = <3>;
	reg = <2600 100>;
	interrupts = <2 b 0>;
	interrupt-parent = <&mpc5200_pic>;
};

But port-number = <3> seems less!
Any idea??

--- Ven 7/11/08, Angelo <[email-masked]> ha scritto:

> Da: Angelo <[email-masked]>
> Oggetto: Serial console on board based on Lite5200b
> A: [email-masked]
> Data: Venerdì 7 novembre 2008, 13:10
> Hi, I have a board based on the Lite5200b, except that the
> serial console is on PSC4 instead of PSC1. 
> 
> Using the a custom U-boot (1.2.0) and kernel 2.6.21
> (compiled for powerpc), I managed to get U-boot to output on
> the console on PSC4, but the kernel
> does not.
> 
> I had just modified lite5200b.dts in some points:
> 
> 1- My memory is 128Mb
> 2- I don't need eth,mdio,ata so I had commented
> 3- Enable PSC4
> 4- Added the chosen node:
> 
> chosen {
>       linux,stdout-path =
> "/soc5200@f0000000/serial@2600";
>       bootargs = "console=ttyPSC4,115200"; 
> };
> 
> Debugging my board i notified that u-boot read & modify
> the device tree blob adding the chosen node:
> chosen{                                                    
>                
>   name = "chosen";                               
>                         
>   bootargs = "console=ttyPSC3";
>   linux,platform = <600>;
>   linux,initrd-start = <7e2e000>;
>   linux,initrd-end = <7f0fbf2>;
>   linux,stdout-path =
> "/soc5200@f0000000/serial@2600";
> }; 
> 
> I follow step by step the kernel start procedure.. and I
> notify that in setup_arch funtion is called
> find_legacy_serial_ports, but when is done
> if(legacy_serial_console >= 0) 
> legacy_serial_console is equal to -1.
> 
> However, it is not sufficient.  What am I missing?
> 
> Thank you!
> 
> 
> 
>       Unisciti alla community di Io fotografo e video, il
> nuovo corso di fotografia di Gazzetta dello sport:
> http://www.flickr.com/groups/iofotografoevideo
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

      Unisciti alla community di Io fotografo e video, il nuovo corso di fotografia di Gazzetta dello sport:
http://www.flickr.com/groups/iofotografoevideo